commit: f52a51c4fabde5017fb97375662881435e7cae21
Author: Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 24 12:54:19 2016 +0000
Commit: Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sun Jan 24 12:54:19 2016 +0000
URL: https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=f52a51c4
dev-lang/python: disable building pythonlauncher and idle, for it gives
problems on 10.11 and they are useless
Package-Manager: portage-2.2.20-prefix
dev-lang/python/python-2.7.11.ebuild | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/dev-lang/python/python-2.7.11.ebuild
b/dev-lang/python/python-2.7.11.ebuild
index 0229c37..59f4072 100644
--- a/dev-lang/python/python-2.7.11.ebuild
+++ b/dev-lang/python/python-2.7.11.ebuild
@@ -351,6 +351,12 @@ src_install() {
# do not make multiple targets in parallel when there are broken
# sharedmods (during bootstrap), would build them twice in
parallel.
+ # Python_Launcher is kind of a wrapper, and we should fix it for
+ # Prefix (it uses /usr/bin/pythonw) so useless
+ # IDLE doesn't run, no idea, but definitely not used
+ sed -i -e
's/install_\(BuildApplet\|PythonLauncher\|IDLE\)[^:]//g' \
+ Mac/Makefile || die
+
# let the makefiles do their thing
emake -j1 CC="$(tc-getCC)" DESTDIR="${D}" STRIPFLAG= altinstall